Subject: bug#62139: Grub resource files should be in the EFI partition

From: Emmanuel Beffara <[email-masked]>
Date: Sat, 11 Mar 2023 18:36:07 +0100

Hello Guix,

The installation process for Grub should put the resource files, notably
keymaps and locales, in the EFI partition, so that they can be used early in
the boot process, before any user interaction.

In the context of full-disk encryption, this is very important because in the
current state of things, one has to enter the passphrase using the default US
layout before the proper keymap can be loaded from the encrypted store. One
can manage working around that with a bit of training, but having to enter a
passphrase with an incorrect keymap is objectively a broken behaviour.

I have no experience hacking Guix so I don't know how to try and patch
grub.scm to implement that, but I would be happy to learn…

-- 
Emmanuel